Update POS device
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/devices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"device_type": "pos-terminal",
"external_device_id": "<string>",
"vendor": "<string>",
"model_number": "<string>",
"mac_address": "<string>",
"location_id": "<string>",
"claimed_by": {
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"is_busy": true
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/devices/{id}"
payload = {
"name": "<string>",
"device_type": "pos-terminal",
"external_device_id": "<string>",
"vendor": "<string>",
"model_number": "<string>",
"mac_address": "<string>",
"location_id": "<string>",
"claimed_by": {
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"is_busy": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
device_type: 'pos-terminal',
external_device_id: '<string>',
vendor: '<string>',
model_number: '<string>',
mac_address: '<string>',
location_id: '<string>',
claimed_by: {
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
email: 'jsmith@example.com'
},
is_busy: true
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": "<string>",
"content": {
"device": {
"id": "<string>",
"name": "<string>",
"device_type": "pos-terminal",
"external_device_id": "<string>",
"vendor": "<string>",
"model_number": "<string>",
"mac_address": "<string>",
"location_id": "<string>",
"location_name": "<string>",
"claimed_by": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"status": "unpaired",
"is_busy": true
}
}
}POS
Update POS device
Update POS device
PUT
/
pos
/
devices
/
{id}
Update POS device
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
id of pos device
Body
application/json
Available options:
pos-terminal A unique ID issued by the Vendor.
Returns a user object if the device is claimed, otherwise returns null.
Show child attributes
Show child attributes
This field specifies the device is occupied for a transaction.
Was this page helpful?
⌘I